Skip to main content
GET
/
apikeys
List
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/apikeys \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "apiKey": "fcf32d085482db7ef10e971967d70a91cdb6677a",
      "name": "John's apiKey",
      "scope": "authOnly",
      "createdAt": 1631095584
    },
    {
      "apiKey": "0f40b2c254f33d429b1fca5e0eb1cef72c594ddc",
      "name": "Auth Key",
      "scope": "authOnly",
      "createdAt": 1629869272
    },
    {
      "apiKey": "495318bc2e137fb2decf17078abd169a7bd50c8b",
      "name": "Rest API Key",
      "scope": "fullAccess",
      "createdAt": 1629869272
    }
  ],
  "meta": {
    "pagination": {
      "total": 3,
      "count": 3,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

scope
enum<string>

Scope of the apikey. Available values: fullAccess, authOnly

Available options:
fullAccess,
authOnly
searchKey
string

Searches for specified keyword in name

Response

200 - application/json

Lists API keys

data
any[]
meta
object